package org.chenyang.http.client.methods;

import org.chenyang.http.HttpRequest;
import java.net.URI;

public interface HttpUriRequest extends HttpRequest {
   String getMethod();

   URI getURI();

   void abort() throws UnsupportedOperationException;

   boolean isAborted();
}
